Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1409894 - COPR invalidly renders markdown
Summary: COPR invalidly renders markdown
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik Turecek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 18:54 UTC by Nathaniel McCallum
Modified: 2017-09-15 08:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-15 08:56:02 UTC


Attachments (Terms of Use)

Description Nathaniel McCallum 2017-01-03 18:54:46 UTC
http://copr.fedorainfracloud.org/coprs/npmccallum/nbde/

Look at the installation instructions of the above repo. The markdown is correct. However, code blocks have newlines stripped. Also, it resets the numbering on the ordered lists.

Comment 1 Nathaniel McCallum 2017-01-03 18:56:02 UTC
It would also be nice to get syntax highlighting support. Maybe we need to use a better markdown library? Perhaps something that supports all of the GitHub extensions.

Comment 2 clime 2017-05-25 07:43:50 UTC
I had a look at it and did some improvement on it (http://copr.fedorainfracloud.org/coprs/npmccallum/nbde/) but could not quite fix everything (i.e. list numbering resets seemed to be at least very hard to fix). We are using https://pythonhosted.org/Markdown/. We could perhaps consider some other lib. I agree that could be beneficial.

Comment 3 clime 2017-09-15 08:56:02 UTC
We have switched to using python-CommonMark and the resetting of numbering should be now fixed. Syntax highlighting is also on now but it doesn't work extremely well on shell snippets :(. Perhaps we could find some improvements there if new bug is filled for that.


Note You need to log in before you can comment on or make changes to this bug.